Bug 5919 - MARC21 fields 583 and 586 should display in OPAC Details
Summary: MARC21 fields 583 and 586 should display in OPAC Details
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on: 3098
Blocks: 5591
  Show dependency treegraph
 
Reported: 2011-03-21 17:33 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (3.47 KB, patch)
2011-03-22 21:34 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-03-21 17:33:32 UTC
The MARC21 fields 583z (Action Note) and 586a (Awards Note) should display in the OPAC details display as part of the main display, not just in the Notes tab.
Comment 1 Nicole C. Engard 2011-03-22 21:34:57 UTC
Created attachment 3407 [details] [review]
patch
Comment 2 Chris Cormack 2011-03-24 00:28:28 UTC
git am -ius3 /tmp/5919
Commit Body is:
--------------------------
Bug 5919: Display MARC21 fields 583, 586, 530

This patch adds the MARC21 fields 583 (Action note), 586 (Awards note), and
530 (Additional physical form available note) to the OPAC details display in the
XSLT-controlled portion of the page. In order to allow libraries to hide these
notes if they do not want them added, the notes have been given CSS classes.

Depends on patch for Bug 3098.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 5919: Display MARC21 fields 583, 586, 530
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/prog/en/xslt/MARC21slim2OPACDetail.xsl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 5919: Display MARC21 fields 583, 586, 530
When you have resolved this problem run "git am -i -3 --resolved".
If you would prefer to skip this patch, instead run "git am -i -3 --skip".
To restore the original branch and stop patching run "git am -i -3 --abort".
Comment 3 Chris Cormack 2011-03-24 07:17:41 UTC
Pushed, please test
Comment 4 Jared Camins-Esakov 2011-03-28 17:27:42 UTC
This seems to be working.
Comment 5 Jared Camins-Esakov 2011-07-08 14:38:04 UTC
Seems to be working now. Closing.